Package com.verisign.epp.codec.idnext

## Class EPPIdnExtFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPExtFactory
  - - com.verisign.epp.codec.idnext.EPPIdnExtFactory

-     public class EPPIdnExtFactory
      extends EPPExtFactory

  The EPPCodec Extension Factory that needs to be configured to encode/decode IDN extensions. The IDN URI is: http://www.verisign.com/epp/idnLang-1.0

  Title: EPP 1.0 RGP

  Description: IDN Extension to the EPP SDK

  Copyright: Copyright (c) 2004

  Company: VeriSign

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NS` | Namespace URI associated with EPPIdnExtFactory.
    `static java.lang.String` | `NS_PREFIX` | Namespace prefix associated with EPPIdnExtFactory.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPIdnExtFactory()` | Create a new instance of EPPIdnExtFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPCodecComponent` | `createExtension​(org.w3c.dom.Element aExtensionElm)` | Creates the concrete Idn ext instance when decoding XML that contains a Idn Extension.
    `EPPProtocolExtension` | `createProtocolExtension​(org.w3c.dom.Element aExtensionElm)` | Overridden but doesn't do anything in the context of IDN.
    `EPPService` | `getService()` | Returns the EPPService instance associated with this ExtFactory.
    `java.util.Set` | `getXmlSchemas()` | Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      Namespace URI associated with EPPIdnExtFactory.
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      Namespace prefix associated with EPPIdnExtFactory.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnExtFactory

          public EPPIdnExtFactory()

      Create a new instance of EPPIdnExtFactory

  - ### Method Detail

    - #### createProtocolExtension

          public EPPProtocolExtension createProtocolExtension​(org.w3c.dom.Element aExtensionElm)
                                                       throws EPPCodecException

      Overridden but doesn't do anything in the context of IDN. Throws an EPPCodecException if called
      Specified by:
        `createProtocolExtension` in class `EPPExtFactory`
      Parameters:
        `aExtensionElm` - DOM `Element` to create protocol extension from
      Returns:
        `EPPProtocolExtension` if applicable
      Throws:
        `EPPCodecException` - If protocol extension not supported

    - #### createExtension

          public EPPCodecComponent createExtension​(org.w3c.dom.Element aExtensionElm)
                                            throws EPPCodecException

      Creates the concrete Idn ext instance when decoding XML that contains a Idn Extension. This is only EPPIdnLangCreate as of 05/11/04
      Specified by:
        `createExtension` in class `EPPExtFactory`
      Parameters:
        `aExtensionElm` - The DOM element that is a parent to the IDN Lang XML fragment
      Returns:
        A concrete EPPCodecComponet that knows how to decode itself from the rest of the DOM document.
      Throws:
        `EPPCodecException` - Thrown if an unrecognized idn lang element is found below the passed in extension element

    - #### getService

          public EPPService getService()

      Returns the EPPService instance associated with this ExtFactory. The EPPService instance contains the XML Namespace and XML Schema location
      Specified by:
        `getService` in class `EPPExtFactory`
      Returns:
        the EPPService instance associated with this ExtFactory

    - #### getXmlSchemas

          public java.util.Set getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPExtFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`